# CEGUI::GUISheet Class Reference

Window class intended to be used as a simple, generic Window. More...

Inheritance diagram for CEGUI::GUISheet:

[legend]
Collaboration diagram for CEGUI::GUISheet:

[legend]
List of all members.

## Public Member Functions

| GUISheet (const String &type, const String &name)
| Constructor for GUISheet windows.
virtual | ~GUISheet (void)
| Destructor for GUISheet windows.

## Static Public Attributes

static const String | WidgetTypeName
| The unique typename of this widget.

## Protected Member Functions

virtual void | drawSelf (float z)
| Perform the actual rendering for this Window.
void | initialise (void)
| overridden initialise member to set-up our default state.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

## Detailed Description

Window class intended to be used as a simple, generic Window.

This class does no rendering and so appears totally transparent. This window defaults to position 0.0f, 0.0f with a size of 1.0f x 1.0f.

/note The C++ name of this class has been retained for backward compatibility reasons. The intended usage of this window type has now been extended beyond that of a gui-sheet or root window.

## Member Function Documentation

virtual void CEGUI::GUISheet::drawSelf | ( | float | z | ) | `[inline, protected, virtual]`

Perform the actual rendering for this Window.

Parameters:

  | z | float value specifying the base Z co-ordinate that should be used when rendering

Returns:
  Nothing

Reimplemented from CEGUI::Window.

virtual bool CEGUI::GUISheet::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

Parameters:

  | class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::Window.